import logging

import peewee as pw


logger = logging.getLogger(__name__)


def migrate(migrator, database, fake=False, **kwargs):
    """Write your migrations here."""

    MalwareHits = migrator.orm["malware_hits"]
    migrator.add_fields(MalwareHits, mode=pw.IntegerField(null=True))


def rollback(migrator, database, fake=False, **kwargs):
    """Write your rollback migrations here."""
    MalwareHits = migrator.orm["malware_hits"]
    migrator.remove_fields(MalwareHits, "mode")
